{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Consulta de Bines y Tiempos de Entrega {% endblock title %}

{% block stylesheets %}
	<style>
		#form_Consultar {
    		margin-top: 2%;
		}
		#resultado_TE, #resultado_BIN {
		    padding: 15px 20px 20px 20px;
		}
	</style>	
{% endblock %}

{% block body -%}
    <section class="content">

    	<section class="content-header" style="margin-bottom: 15px;">
	          <h1>
	            Consultas: BINES y Tiempos de Entrega
	          </h1>
	    </section>

        <div class="row">
        	<div class="col-md-6">
	        	<div class="box box-primary">
	                <div class="box-header">
	                  <h3 class="box-title">Consulta de <b>TIEMPOS DE ENTREGA</b></h3>
	                </div><!-- /.box-header -->
		            <div class="box-body">
		            	{{form(form_TE)}}
		            </div>
		        </div>
        	</div>
        	<div class="col-md-6">	
        		<div class="box box-info">
	                <div class="box-header">
	                  <h3 class="box-title">Resultado de Consulta</h3>
	                </div>
	                <div class="box-body" id="resultado_TE">
	                  
	                </div>
              	</div>
            </div>
        </div>			
        		

        <div class="row">

            <div class="col-md-6">  
        	<div class="box box-success">
                <div class="box-header">
                  <h3 class="box-title">Consulta de <b>BINES</b></h3>
                </div><!-- /.box-header -->
	            <div class="box-body">
	            	{{form(form_BIN)}}
	            </div>
	        </div>
        	</div>

        	<div class="col-md-6">	
        		<div class="box box-info">
	                <div class="box-header">
	                  <h3 class="box-title">Resultado de Consulta</h3>
	                </div>
	                <div class="box-body" id="resultado_BIN">
	                  
	                </div>
              	</div>
            </div>

        </div>

    </section>
       
{% endblock %}

{% block javascripts %}
	<script>
		function showConsulta(ident){

			if(ident == "TEN"){

				var cp = $('#form_codigo').val();
				var tpago = $('#form_tipopago').val();
				var urlCTE = "{{ path('get_tiempos_entrega') }}";
				
				if(cp){
					 	showLoading('Cargando Tiempos de Entrega...');
			          
			          	$.post(urlCTE, {cp:cp,tpago:tpago}, function(data, textStatus, xhr) {

			              if(data.estatus == 1){
			              	$('#resultado_TE').html("");
			              	body = '<div class="row">';
			              	for(var t = 0;t < data.Info.length;t++){
			              		body = body+'<div class="col-md-6" style="border-radius: 5%; border: 1px solid rgb(0, 192, 239);">'+
			              				'<p><label>Codigo Postal: </label>&nbsp;&nbsp;&nbsp;'+data.Info[t].cp+'</p>'+
			              				'<p><label>Tipo de Pago: </label>&nbsp;&nbsp;&nbsp;<b>'+data.Info[t].tipoPago.descripcion+'</b></p>'+
			              				'<p><label>Tiempo Máximo: </label>&nbsp;&nbsp;&nbsp;'+data.Info[t].tiempoEntregaMax+'</p>'+
			              				'<p><label>Tiempo Minimo: </label>&nbsp;&nbsp;&nbsp;'+data.Info[t].tiempoEntregaMin+'</p>'+
			              			   '</div>';
			              	}
			              	body = body+'</div>';
			              	$('#resultado_TE').html(body);
			                hideLoading();


			              }else{
			              	body = '<div class="row"></div>';
			              	$('#resultado_TE').html(body);
			                alert(data.Info);
			                hideLoading();
			              }
			           
			          	});     

				}else{
					alert("Debe indicar un codigo postal");
				}

			}else if(ident == "BIN"){

				var bin = $('#form_bin').val();
				var urlBIN = "{{ path('get_bines') }}";

				if(bin){
					showLoading('Cargando Información del BIN '+bin+'...');
			          
			          	$.post(urlBIN, {bin:bin}, function(data, textStatus, xhr) {

			              if(data.estatus == 1){

			              $('#resultado_BIN').html("");
			              	body = '<div class="row">';
			              		body = body+'<div class="col-md-6">'+
			              				'<p><label>BIN: </label>&nbsp;&nbsp;&nbsp;<b>'+data.Info.idBin+'</b></p>'+
			              				'<p><label>Tarjeta: </label>&nbsp;&nbsp;&nbsp;'+data.Info.descripcion+'</p>'+
			              				'<p><label>Crédito o Débito: </label>&nbsp;&nbsp;&nbsp;';
			              		if(data.Info.esdebito == 1 || data.Info.esdebito == true){

			              			body = body+'DÉBITO';
			              		}else if(data.Info.esdebito == 0 || data.Info.esdebito == false){
			              			body = body+'CRÉDITO';
			              		}

			              		body = body+'</p>'+
			              				'<p><label>Tipo de Tarjeta: </label>&nbsp;&nbsp;&nbsp;'+data.Info.TipoTarjeta.toString+'</p>'+
			              				'<p><label>Banco: </label>&nbsp;&nbsp;&nbsp;'+data.Info.banco.toString+'</p>'+
			              			   	'</div>'+
			              			   	'<div class="col-md-6">'+
			              			   	'<label>Promociones:</label>';
			              			   		for(var p=0;p< data.Info.promociones.length;p++){
			              			   			body = body+'<p>'+data.Info.promociones[p].toString+'</p>';
			              			   		}

			              		body = body+'</div>';
			              	body = body+'</div>';
			              	$('#resultado_BIN').html(body);
			              	hideLoading();



			              }else{
			              	body = '<div class="row"></div>';
			              	$('#resultado_BIN').html(body);
			                alert(data.Info);
			                hideLoading();
			              }
			           
			          	});     

				}else{
					alert("Debe ingresar el BIN de la terminal.</br>Primeros 6 números de la tarjeta.");
				}

			}

		}
	</script>
{% endblock %}